TTF_SetTextColorFloat(3)

NAME
TTF_SetTextColorFloat - Set the color of a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextColorFloat(TTF_Text *text, float r, float g, float b, float a);

DESCRIPTION
The default text color is white (1.0f, 1.0f, 1.0f, 1.0f).

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

r   the red color value, normally in the range of 0-1.

g   the green color value, normally in the range of 0-1.

b   the blue color value, normally in the range of 0-1.

a   the alpha value in the range of 0-1.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetTextColorFloat(3), •(3), TTF_SetTextColor(3)